package com.ismail.simsek.rb2.testproject.core.main
{
	import com.ismail.simsek.rb2.testproject.core.AppConfig;
	import com.ismail.simsek.rb2.testproject.core.wrapper.WrapperConfig;
	import com.ismail.simsek.rb2.testproject.login.LoginPanelConfig;
	
	import spark.components.Application;
	
	import robotlegs.bender.bundles.mvcs.MVCSBundle;
	import robotlegs.bender.extensions.contextView.ContextView;
	import robotlegs.bender.extensions.signalCommandMap.SignalCommandMapExtension;
	import robotlegs.bender.framework.api.IContext;
	import robotlegs.bender.framework.impl.Context;
	
	public class MainApplication extends Application
	{
		protected var context: IContext;
		
		
		public function MainApplication()
		{
			super();
			
			setupContext();
		}
		
		
		private function setupContext(): void
		{
			context = new Context()
				.install(MVCSBundle, SignalCommandMapExtension)
				.configure(AppConfig)
				.configure(WrapperConfig)
				.configure(LoginPanelConfig)
				.configure(new ContextView(this));
			
		}
		
	}
}