package com.ismail.simsek.rb2.testproject.core.wrapper.view.mediator
{
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.signal.ShowDashboardSignal;
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.signal.ShowLoginSignal;
	import com.ismail.simsek.rb2.testproject.core.wrapper.view.component.api.IWrapperView;
	
	import robotlegs.bender.bundles.mvcs.Mediator;
	
	public class WrapperViewMediator extends Mediator
	{
		
		[Inject]
		public var view:IWrapperView;
		
		[Inject]
		public var showLoginSignal:ShowLoginSignal;
		
		[Inject]
		public var showDashboardSignal:ShowDashboardSignal;
		
		override public function initialize():void
		{
			showLoginSignal.add(showLogin);
			showDashboardSignal.add(showDashboard);
		}
		
		private function showLogin():void
		{
			view.changeState(view.LOGIN_STATE);
		}
		
		private function showDashboard():void
		{
			view.changeState(view.DASHBOARD_STATE);
		}
	}
}