package com.ismail.simsek.rb2.testproject.login.view.component
{
	import com.ismail.simsek.rb2.testproject.login.model.vo.LoginVO;
	import com.ismail.simsek.rb2.testproject.login.view.component.api.ILoginPanelView;
	import com.ismail.simsek.rb2.testproject.login.view.component.ui.LoginPanelViewBase;
	
	import flash.events.MouseEvent;
	
	import org.osflash.signals.ISignal;
	import org.osflash.signals.Signal;
	
	public class LoginPanelView extends LoginPanelViewBase implements ILoginPanelView
	{
		private var _sendClickSignal:ISignal; 
		
		public function get sendClickSignal():ISignal
		{
			return _sendClickSignal;
		}
		
		override protected function childrenCreated():void
		{
			super.childrenCreated();
			
			addListeners();
		}
		
		private function addListeners(): void
		{
			sendButton.addEventListener(MouseEvent.CLICK, onSendButtonClick);
		}
		
		private function onSendButtonClick(e:MouseEvent):void
		{
			var loginVo:LoginVO = new LoginVO();
			loginVo.email = email.text;
			loginVo.password = pass.text;
			_sendClickSignal.dispatch(loginVo);
		}
		
		
		
		public function LoginPanelView()
		{
			_sendClickSignal = new Signal(LoginVO);
		}
		
		public function dispose():void
		{
			sendButton.removeEventListener(MouseEvent.CLICK, onSendButtonClick);
			_sendClickSignal.removeAll();
		}
	}
}