package com.ismail.simsek.rb2.testproject.core
{
	import com.ismail.simsek.rb2.testproject.core.main.controller.command.StartUpCommand;
	import com.ismail.simsek.rb2.testproject.core.main.controller.signal.StartUpSignal;
	import com.ismail.simsek.rb2.testproject.core.main.service.AmfService;
	
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.extensions.signalCommandMap.api.ISignalCommandMap;
	import robotlegs.bender.framework.api.IConfig;
	import robotlegs.bender.framework.api.IInjector;
	
	public class AppConfig implements IConfig
	{
		[Inject]
		public var injector:IInjector;
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		[Inject]
		public var signalCommandMap: ISignalCommandMap;
		
		
		public function configure():void
		{
			injector.map(AmfService).asSingleton();

			signalCommandMap.map(StartUpSignal).toCommand(StartUpCommand).once(true);
			
			var startUpSignal:StartUpSignal = injector.getInstance(StartUpSignal) as StartUpSignal;
			startUpSignal.dispatch();
		}
	}
}