package com.ismail.simsek.rb2.testproject.core.wrapper
{
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.command.ShowDashboardCommand;
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.command.ShowLoginCommand;
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.signal.ShowDashboardSignal;
	import com.ismail.simsek.rb2.testproject.core.wrapper.controller.signal.ShowLoginSignal;
	import com.ismail.simsek.rb2.testproject.core.wrapper.view.component.api.IWrapperView;
	import com.ismail.simsek.rb2.testproject.core.wrapper.view.mediator.WrapperViewMediator;
	
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.extensions.signalCommandMap.api.ISignalCommandMap;
	import robotlegs.bender.framework.api.IConfig;
	import robotlegs.bender.framework.api.IInjector;
	
	public class WrapperConfig implements IConfig
	{
		[Inject]
		public var injector:IInjector;
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		[Inject]
		public var signalCommandMap: ISignalCommandMap;
		
		public function configure():void
		{
			/*injector.map(AmfService).asSingleton();*/
			
			mediatorMap.map(IWrapperView).toMediator(WrapperViewMediator);
			
			signalCommandMap.map(ShowLoginSignal).toCommand(ShowLoginCommand);
			signalCommandMap.map(ShowDashboardSignal).toCommand(ShowDashboardCommand);
			
			
		}
	}
}