package com.ismail.simsek.rb2.testproject.login.service
{
	import com.ismail.simsek.net.amfphp.Amf;
	import com.ismail.simsek.rb2.testproject.core.main.model.vo.AdminModel;
	import com.ismail.simsek.rb2.testproject.core.main.model.vo.AdminVO;
	import com.ismail.simsek.rb2.testproject.login.model.vo.LoginVO;
	
	import mx.controls.Alert;

	public class LoginService
	{
		[Inject]
		public var adminModel:AdminModel;
		
		public function loginAdmin(loginVo:LoginVO):void
		{
			Amf.call("Login.loginAsAdmin", loginAdminResult, loginVo.email, loginVo.password, {});
		}

		public function loginAdminResult(e:Object):void
		{
			if (e.code != 1 && e.code != 2)
			{
				// there will be a popup.
				// maybe like that -> showPopupSignal.dispatch(e.errorMessage);
				Alert.show("Login Başarısız.");
				return;
			}
			
			adminModel.admin = e.data as AdminVO;
		}
	}
}
