package com.ismail.simsek.rb2.testproject.login.view.mediator
{
	import com.ismail.simsek.rb2.testproject.login.controller.signal.RunLoginProcessSignal;
	import com.ismail.simsek.rb2.testproject.login.model.vo.LoginVO;
	import com.ismail.simsek.rb2.testproject.login.view.component.api.ILoginPanelView;
	
	import robotlegs.bender.bundles.mvcs.Mediator;
	
	public class LoginPanelMediator extends Mediator
	{
		[Inject]
		public var runLoginProcessSignal:RunLoginProcessSignal;
		
		[Inject]
		public var view:ILoginPanelView;
		
		override public function initialize():void
		{
			view.sendClickSignal.add(runLoginProcess);
		}
		
		private function runLoginProcess(loginVo:LoginVO):void
		{
			runLoginProcessSignal.dispatch(loginVo);
		}
	}
}